Acme.Serve

## Class Serve.SimpleRequestDispatcher

- java.lang.Object
- - Acme.Serve.Serve.SimpleRequestDispatcher

- All Implemented Interfaces:
    javax.servlet.RequestDispatcher
  Enclosing class:
    Serve

      protected class Serve.SimpleRequestDispatcher
      extends Object
      implements javax.servlet.RequestDispatcher

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.RequestDispatcher

      `ERROR_EXCEPTION, ERROR_EXCEPTION_TYPE, ERROR_MESSAGE, ERROR_REQUEST_URI, ERROR_SERVLET_NAME, ERROR_STATUS_CODE, FORWARD_CONTEXT_PATH, FORWARD_PATH_INFO, FORWARD_QUERY_STRING, FORWARD_REQUEST_URI, FORWARD_SERVLET_PATH, INCLUDE_CONTEXT_PATH, INCLUDE_PATH_INFO, INCLUDE_QUERY_STRING, INCLUDE_REQUEST_URI, INCLUDE_SERVLET_PATH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forward(javax.servlet.ServletRequest _request, javax.servlet.ServletResponse _response)`
    `void` | `include(javax.servlet.ServletRequest _request, javax.servlet.ServletResponse _response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forward

          public void forward(javax.servlet.ServletRequest _request,
                     javax.servlet.ServletResponse _response)
                       throws javax.servlet.ServletException,
                              IOException

      Specified by:
        `forward` in interface `javax.servlet.RequestDispatcher`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### include

          public void include(javax.servlet.ServletRequest _request,
                     javax.servlet.ServletResponse _response)
                       throws javax.servlet.ServletException,
                              IOException

      Specified by:
        `include` in interface `javax.servlet.RequestDispatcher`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

Copyright © 2014. All Rights Reserved.